diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index e62139d..e09ee90 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -9995,7 +9995,7 @@ countable? c2
 
 --S 10 of 20
 countable? A0
-uon --R 
+--R 
 --R
 --R   (10)  true
 --R                                                                Type: Boolean
@@ -48123,6 +48123,32 @@ o )show Kernel
 \pagepic{ps/v103kernel.ps}{KERNEL}{1.00}
 {\bf See}\\
 \pageto{MakeCachableSet}{MKCHSET}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{KERNEL}{argument} &
+\cross{KERNEL}{coerce} &
+\cross{KERNEL}{convert} &
+\cross{KERNEL}{hash} &
+\cross{KERNEL}{height} \\
+\cross{KERNEL}{is?} &
+\cross{KERNEL}{kernel} &
+\cross{KERNEL}{latex} &
+\cross{KERNEL}{max} &
+\cross{KERNEL}{min} \\
+\cross{KERNEL}{name} &
+\cross{KERNEL}{operator} &
+\cross{KERNEL}{position} &
+\cross{KERNEL}{setPosition} &
+\cross{KERNEL}{symbolIfCan} \\
+\cross{KERNEL}{?\~{}=?} &
+\cross{KERNEL}{?$<$?} &
+\cross{KERNEL}{?$<=$?} &
+\cross{KERNEL}{?=?} &
+\cross{KERNEL}{?$>$?} \\
+\cross{KERNEL}{?$>=$?} &&&&
+\end{tabular}
+
 <<domain KERNEL Kernel>>=
 )abbrev domain KERNEL Kernel
 ++ Operators applied to elements of a set
@@ -48408,6 +48434,78 @@ o )show KeyedAccessFile
 \pageto{TextFile}{TEXTFILE}
 \pageto{BinaryFile}{BINFILE}
 \pageto{Library}{LIB}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{KAFILE}{any?} &
+\cross{KAFILE}{any?} &
+\cross{KAFILE}{bag} &
+\cross{KAFILE}{close!} &
+\cross{KAFILE}{coerce} \\
+\cross{KAFILE}{construct} &
+\cross{KAFILE}{convert} &
+\cross{KAFILE}{copy} &
+\cross{KAFILE}{count} &
+\cross{KAFILE}{count} \\
+\cross{KAFILE}{dictionary} &
+\cross{KAFILE}{elt} &
+\cross{KAFILE}{empty} &
+\cross{KAFILE}{empty?} &
+\cross{KAFILE}{entries} \\
+\cross{KAFILE}{entry?} &
+\cross{KAFILE}{eq?} &
+\cross{KAFILE}{eval} &
+\cross{KAFILE}{every?} &
+\cross{KAFILE}{every?} \\
+\cross{KAFILE}{extract!} &
+\cross{KAFILE}{fill!} &
+\cross{KAFILE}{find} &
+\cross{KAFILE}{first} &
+\cross{KAFILE}{hash} \\
+\cross{KAFILE}{index?} &
+\cross{KAFILE}{indices} &
+\cross{KAFILE}{insert!} &
+\cross{KAFILE}{inspect} &
+\cross{KAFILE}{iomode} \\
+\cross{KAFILE}{key?} &
+\cross{KAFILE}{keys} &
+\cross{KAFILE}{latex} &
+\cross{KAFILE}{less?} &
+\cross{KAFILE}{map} \\
+\cross{KAFILE}{map!} &
+\cross{KAFILE}{maxIndex} &
+\cross{KAFILE}{member?} &
+\cross{KAFILE}{members} &
+\cross{KAFILE}{minIndex} \\
+\cross{KAFILE}{more?} &
+\cross{KAFILE}{name} &
+\cross{KAFILE}{open} &
+\cross{KAFILE}{pack!} &
+\cross{KAFILE}{parts} \\
+\cross{KAFILE}{parts} &
+\cross{KAFILE}{qelt} &
+\cross{KAFILE}{qsetelt!} &
+\cross{KAFILE}{read!} &
+\cross{KAFILE}{reduce} \\
+\cross{KAFILE}{remove} &
+\cross{KAFILE}{remove!} &
+\cross{KAFILE}{removeDuplicates} &
+\cross{KAFILE}{reopen!} &
+\cross{KAFILE}{sample} \\
+\cross{KAFILE}{search} &
+\cross{KAFILE}{select} &
+\cross{KAFILE}{select!} &
+\cross{KAFILE}{setelt} &
+\cross{KAFILE}{size?} \\
+\cross{KAFILE}{swap!} &
+\cross{KAFILE}{table} &
+\cross{KAFILE}{write!} &
+\cross{KAFILE}{\#{}?} &
+\cross{KAFILE}{?\~{}=?} \\
+\cross{KAFILE}{?=?} &
+\cross{KAFILE}{?.?} &&&
+\end{tabular}
+
 <<domain KAFILE KeyedAccessFile>>=
 )abbrev domain KAFILE KeyedAccessFile
 ++ Author: Stephen M. Watt
@@ -48549,6 +48647,62 @@ KeyedAccessFile(Entry): KAFcategory == KAFcapsule where
 \section{domain LAUPOL LaurentPolynomial}
 \pagehead{LaurentPolynomial}{LAUPOL}
 \pagepic{ps/v103laurentpolynomial.ps}{LAUPOL}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{LAUPOL}{0} &
+\cross{LAUPOL}{1} &
+\cross{LAUPOL}{associates?} \\
+\cross{LAUPOL}{characteristic} &
+\cross{LAUPOL}{charthRoot} &
+\cross{LAUPOL}{coefficient} \\
+\cross{LAUPOL}{coerce} &
+\cross{LAUPOL}{convert} &
+\cross{LAUPOL}{D} \\
+\cross{LAUPOL}{degree} &
+\cross{LAUPOL}{differentiate} &
+\cross{LAUPOL}{divide} \\
+\cross{LAUPOL}{euclideanSize} &
+\cross{LAUPOL}{expressIdealMember} &
+\cross{LAUPOL}{exquo} \\
+\cross{LAUPOL}{extendedEuclidean} &
+\cross{LAUPOL}{gcd} &
+\cross{LAUPOL}{gcdPolynomial} \\
+\cross{LAUPOL}{hash} &
+\cross{LAUPOL}{latex} &
+\cross{LAUPOL}{lcm} \\
+\cross{LAUPOL}{leadingCoefficient} &
+\cross{LAUPOL}{monomial} &
+\cross{LAUPOL}{monomial?} \\
+\cross{LAUPOL}{multiEuclidean} &
+\cross{LAUPOL}{one?} &
+\cross{LAUPOL}{order} \\
+\cross{LAUPOL}{principalIdeal} &
+\cross{LAUPOL}{recip} &
+\cross{LAUPOL}{reductum} \\
+\cross{LAUPOL}{retract} &
+\cross{LAUPOL}{retractIfCan} &
+\cross{LAUPOL}{sample} \\
+\cross{LAUPOL}{separate} &
+\cross{LAUPOL}{sizeLess?} &
+\cross{LAUPOL}{subtractIfCan} \\
+\cross{LAUPOL}{trailingCoefficient} &
+\cross{LAUPOL}{unit?} &
+\cross{LAUPOL}{unitCanonical} \\
+\cross{LAUPOL}{unitNormal} &
+\cross{LAUPOL}{zero?} &
+\cross{LAUPOL}{?*?} \\
+\cross{LAUPOL}{?**?} &
+\cross{LAUPOL}{?+?} &
+\cross{LAUPOL}{?-?} \\
+\cross{LAUPOL}{-?} &
+\cross{LAUPOL}{?=?} &
+\cross{LAUPOL}{?\^{}?} \\
+\cross{LAUPOL}{?\~{}=?} &
+\cross{LAUPOL}{?quo?} &
+\cross{LAUPOL}{?rem?} 
+\end{tabular}
+
 <<domain LAUPOL LaurentPolynomial>>=
 )abbrev domain LAUPOL LaurentPolynomial
 ++ Univariate polynomials with negative and positive exponents.
@@ -48786,6 +48940,71 @@ o )show Library
 \pageto{TextFile}{TEXTFILE}
 \pageto{BinaryFile}{BINFILE}
 \pageto{KeyedAccessFile}{KAFILE}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{LIB}{any?} &
+\cross{LIB}{any?} &
+\cross{LIB}{bag} &
+\cross{LIB}{close!} &
+\cross{LIB}{coerce} \\
+\cross{LIB}{copy} &
+\cross{LIB}{construct} &
+\cross{LIB}{convert} &
+\cross{LIB}{count} &
+\cross{LIB}{dictionary} \\
+\cross{LIB}{elt} &
+\cross{LIB}{empty} &
+\cross{LIB}{empty?} &
+\cross{LIB}{entries} &
+\cross{LIB}{entry?} \\
+\cross{LIB}{eq?} &
+\cross{LIB}{eval} &
+\cross{LIB}{every?} &
+\cross{LIB}{every?} &
+\cross{LIB}{extract!} \\
+\cross{LIB}{fill!} &
+\cross{LIB}{find} &
+\cross{LIB}{first} &
+\cross{LIB}{hash} &
+\cross{LIB}{index?} \\
+\cross{LIB}{indices} &
+\cross{LIB}{insert!} &
+\cross{LIB}{inspect} &
+\cross{LIB}{key?} &
+\cross{LIB}{keys} \\
+\cross{LIB}{latex} &
+\cross{LIB}{less?} &
+\cross{LIB}{library} &
+\cross{LIB}{map} &
+\cross{LIB}{map!} \\
+\cross{LIB}{maxIndex} &
+\cross{LIB}{member?} &
+\cross{LIB}{members} &
+\cross{LIB}{minIndex} &
+\cross{LIB}{more?} \\
+\cross{LIB}{pack!} &
+\cross{LIB}{parts} &
+\cross{LIB}{qelt} &
+\cross{LIB}{qsetelt!} &
+\cross{LIB}{reduce} \\
+\cross{LIB}{remove} &
+\cross{LIB}{remove!} &
+\cross{LIB}{removeDuplicates} &
+\cross{LIB}{sample} &
+\cross{LIB}{search} \\
+\cross{LIB}{select} &
+\cross{LIB}{select!} &
+\cross{LIB}{setelt} &
+\cross{LIB}{size?} &
+\cross{LIB}{swap!} \\
+\cross{LIB}{table} &
+\cross{LIB}{\#{}?} &
+\cross{LIB}{?=?} &
+\cross{LIB}{?\~{}=?} &
+\cross{LIB}{?.?} 
+\end{tabular}
+
 <<domain LIB Library>>=
 )abbrev domain LIB Library
 ++ Author: Stephen M. Watt
@@ -49053,6 +49272,35 @@ o )show LieExponentials
 @
 \pagehead{LieExponentials}{LEXP}
 \pagepic{ps/v103lieexponentials.ps}{LEXP}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{LEXP}{1} &
+\cross{LEXP}{coerce} &
+\cross{LEXP}{commutator} &
+\cross{LEXP}{conjugate} \\
+\cross{LEXP}{exp} &
+\cross{LEXP}{hash} &
+\cross{LEXP}{identification} &
+\cross{LEXP}{inv} \\
+\cross{LEXP}{latex} &
+\cross{LEXP}{log} &
+\cross{LEXP}{ListOfTerms} &
+\cross{LEXP}{LyndonBasis} \\
+\cross{LEXP}{LyndonCoordinates} &
+\cross{LEXP}{mirror} &
+\cross{LEXP}{one?} &
+\cross{LEXP}{recip} \\
+\cross{LEXP}{sample} &
+\cross{LEXP}{varList} &
+\cross{LEXP}{?\~{}=?} &
+\cross{LEXP}{?\^{}?} \\
+\cross{LEXP}{?*?} &
+\cross{LEXP}{?**?} &
+\cross{LEXP}{?/?} &
+\cross{LEXP}{?=?}
+\end{tabular}
+
 <<domain LEXP LieExponentials>>=
 )abbrev domain LEXP LieExponentials
 ++ Author: Michel Petitot (petitot@lifl.fr).
@@ -49599,6 +49847,50 @@ o )show LiePolynomial
 @
 \pagehead{LiePolynomial}{LPOLY}
 \pagepic{ps/v103liepolynomial.ps}{LPOLY}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{LPOLY}{0} &
+\cross{LPOLY}{coef} &
+\cross{LPOLY}{coefficient} &
+\cross{LPOLY}{coefficients} \\
+\cross{LPOLY}{coerce} &
+\cross{LPOLY}{construct} &
+\cross{LPOLY}{degree} &
+\cross{LPOLY}{eval} \\
+\cross{LPOLY}{hash} &
+\cross{LPOLY}{latex} &
+\cross{LPOLY}{leadingCoefficient} &
+\cross{LPOLY}{leadingMonomial} \\
+\cross{LPOLY}{leadingTerm} &
+\cross{LPOLY}{LiePoly} &
+\cross{LPOLY}{LiePolyIfCan} &
+\cross{LPOLY}{ListOfTerms} \\
+\cross{LPOLY}{lquo} &
+\cross{LPOLY}{map} &
+\cross{LPOLY}{mirror} &
+\cross{LPOLY}{monom} \\
+\cross{LPOLY}{monomial?} &
+\cross{LPOLY}{monomials} &
+\cross{LPOLY}{numberOfMonomials} &
+\cross{LPOLY}{reductum} \\
+\cross{LPOLY}{retract} &
+\cross{LPOLY}{retractIfCan} &
+\cross{LPOLY}{rquo} &
+\cross{LPOLY}{sample} \\
+\cross{LPOLY}{subtractIfCan} &
+\cross{LPOLY}{trunc} &
+\cross{LPOLY}{varList} &
+\cross{LPOLY}{zero?} \\
+\cross{LPOLY}{?\~{}=?} &
+\cross{LPOLY}{?*?} &
+\cross{LPOLY}{?/?} &
+\cross{LPOLY}{?+?} \\
+\cross{LPOLY}{?-?} &
+\cross{LPOLY}{-?} &
+\cross{LPOLY}{?=?} 
+\end{tabular}
+
 <<domain LPOLY LiePolynomial>>=
 )abbrev domain LPOLY LiePolynomial
 ++ Author: Michel Petitot (petitot@lifl.fr).
@@ -49806,6 +50098,139 @@ LiePolynomial(VarSet:OrderedSet, R:CommutativeRing) : Public == Private where
 {\bf See}\\
 \pageto{AssociatedLieAlgebra}{LIE}
 \pageto{AssociatedJordanAlgebra}{JORDAN}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{LSQM}{0} &
+\cross{LSQM}{1} \\
+\cross{LSQM}{alternative?} &
+\cross{LSQM}{antiAssociative?} \\
+\cross{LSQM}{antiCommutator} &
+\cross{LSQM}{antisymmetric?} \\
+\cross{LSQM}{any?} &
+\cross{LSQM}{apply} \\
+\cross{LSQM}{associative?} &
+\cross{LSQM}{associator} \\
+\cross{LSQM}{associatorDependence} &
+\cross{LSQM}{basis} \\
+\cross{LSQM}{characteristic} &
+\cross{LSQM}{coerce} \\
+\cross{LSQM}{column} &
+\cross{LSQM}{commutative?} \\
+\cross{LSQM}{commutator} &
+\cross{LSQM}{conditionsForIdempotents} \\
+\cross{LSQM}{convert} &
+\cross{LSQM}{coordinates} \\
+\cross{LSQM}{copy} &
+\cross{LSQM}{count} \\
+\cross{LSQM}{D} &
+\cross{LSQM}{determinant} \\
+\cross{LSQM}{diagonal} &
+\cross{LSQM}{diagonal?} \\
+\cross{LSQM}{diagonalMatrix} &
+\cross{LSQM}{diagonalProduct} \\
+\cross{LSQM}{differentiate} &
+\cross{LSQM}{elt} \\
+\cross{LSQM}{empty} &
+\cross{LSQM}{empty?} \\
+\cross{LSQM}{eq?} &
+\cross{LSQM}{eval} \\
+\cross{LSQM}{every?} &
+\cross{LSQM}{exquo} \\
+\cross{LSQM}{flexible?} &
+\cross{LSQM}{hash} \\
+\cross{LSQM}{inverse} &
+\cross{LSQM}{jacobiIdentity?} \\
+\cross{LSQM}{jordanAdmissible?} &
+\cross{LSQM}{jordanAlgebra?} \\
+\cross{LSQM}{latex} &
+\cross{LSQM}{leftAlternative?} \\
+\cross{LSQM}{leftCharacteristicPolynomial} &
+\cross{LSQM}{leftDiscriminant} \\
+\cross{LSQM}{leftDiscriminant} &
+\cross{LSQM}{leftMinimalPolynomial} \\
+\cross{LSQM}{leftNorm} &
+\cross{LSQM}{leftPower} \\
+\cross{LSQM}{leftRankPolynomial} &
+\cross{LSQM}{leftRecip} \\
+\cross{LSQM}{leftRegularRepresentation} &
+\cross{LSQM}{leftRegularRepresentation} \\
+\cross{LSQM}{leftTrace} &
+\cross{LSQM}{leftTraceMatrix} \\
+\cross{LSQM}{leftUnit} &
+\cross{LSQM}{leftUnits} \\
+\cross{LSQM}{less?} &
+\cross{LSQM}{lieAdmissible?} \\
+\cross{LSQM}{lieAlgebra?} &
+\cross{LSQM}{listOfLists} \\
+\cross{LSQM}{map} &
+\cross{LSQM}{map!} \\
+\cross{LSQM}{matrix} &
+\cross{LSQM}{maxColIndex} \\
+\cross{LSQM}{maxRowIndex} &
+\cross{LSQM}{member?} \\
+\cross{LSQM}{members} &
+\cross{LSQM}{minColIndex} \\
+\cross{LSQM}{minordet} &
+\cross{LSQM}{minRowIndex} \\
+\cross{LSQM}{more?} &
+\cross{LSQM}{ncols} \\
+\cross{LSQM}{noncommutativeJordanAlgebra?} &
+\cross{LSQM}{nrows} \\
+\cross{LSQM}{nullSpace} &
+\cross{LSQM}{nullity} \\
+\cross{LSQM}{one?} &
+\cross{LSQM}{parts} \\
+\cross{LSQM}{plenaryPower} &
+\cross{LSQM}{powerAssociative?} \\
+\cross{LSQM}{qelt} &
+\cross{LSQM}{rank} \\
+\cross{LSQM}{recip} &
+\cross{LSQM}{reducedSystem} \\
+\cross{LSQM}{represents} &
+\cross{LSQM}{retract} \\
+\cross{LSQM}{retractIfCan} &
+\cross{LSQM}{rightAlternative?} \\
+\cross{LSQM}{rightCharacteristicPolynomial} &
+\cross{LSQM}{rightDiscriminant} \\
+\cross{LSQM}{rightMinimalPolynomial} &
+\cross{LSQM}{rightNorm} \\
+\cross{LSQM}{rightPower} &
+\cross{LSQM}{rightRankPolynomial} \\
+\cross{LSQM}{rightRecip} &
+\cross{LSQM}{rightRegularRepresentation} \\
+\cross{LSQM}{rightRegularRepresentation} &
+\cross{LSQM}{rightTrace} \\
+\cross{LSQM}{rightTraceMatrix} &
+\cross{LSQM}{rightUnit} \\
+\cross{LSQM}{rightUnits} &
+\cross{LSQM}{row} \\
+\cross{LSQM}{rowEchelon} &
+\cross{LSQM}{sample} \\
+\cross{LSQM}{scalarMatrix} &
+\cross{LSQM}{size?} \\
+\cross{LSQM}{someBasis} &
+\cross{LSQM}{square?} \\
+\cross{LSQM}{structuralConstants} &
+\cross{LSQM}{structuralConstants} \\
+\cross{LSQM}{subtractIfCan} &
+\cross{LSQM}{symmetric?} \\
+\cross{LSQM}{trace} &
+\cross{LSQM}{unit} \\
+\cross{LSQM}{zero?} &
+\cross{LSQM}{\#{}?} \\
+\cross{LSQM}{?\~{}=?} &
+\cross{LSQM}{?*?} \\
+\cross{LSQM}{?**?} &
+\cross{LSQM}{?+?} \\
+\cross{LSQM}{?-?} &
+\cross{LSQM}{-?} \\
+\cross{LSQM}{?/?} &
+\cross{LSQM}{?=?} \\
+\cross{LSQM}{?\^{}?} &
+\cross{LSQM}{?.?} 
+\end{tabular}
+
 <<domain LSQM LieSquareMatrix>>=
 )abbrev domain LSQM LieSquareMatrix
 ++ Author: J. Grabmeier
@@ -50392,6 +50817,66 @@ o )show LinearOrdinaryDifferentialOperator
 {\bf See}\\
 \pageto{LinearOrdinaryDifferentialOperator1}{LODO1}
 \pageto{LinearOrdinaryDifferentialOperator2}{LODO2}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{LODO}{0} &
+\cross{LODO}{1} &
+\cross{LODO}{adjoint} \\
+\cross{LODO}{apply} &
+\cross{LODO}{characteristic} &
+\cross{LODO}{coefficient} \\
+\cross{LODO}{coefficients} &
+\cross{LODO}{coerce} &
+\cross{LODO}{content} \\
+\cross{LODO}{D} &
+\cross{LODO}{degree} &
+\cross{LODO}{directSum} \\
+\cross{LODO}{exquo} &
+\cross{LODO}{hash} &
+\cross{LODO}{latex} \\
+\cross{LODO}{leadingCoefficient} &
+\cross{LODO}{leftDivide} &
+\cross{LODO}{leftExactQuotient} \\
+\cross{LODO}{leftExtendedGcd} &
+\cross{LODO}{leftGcd} &
+\cross{LODO}{leftLcm} \\
+\cross{LODO}{leftQuotient} &
+\cross{LODO}{leftRemainder} &
+\cross{LODO}{minimumDegree} \\
+\cross{LODO}{monicLeftDivide} &
+\cross{LODO}{monicRightDivide} &
+\cross{LODO}{monomial} \\
+\cross{LODO}{one?} &
+\cross{LODO}{primitivePart} &
+\cross{LODO}{recip} \\
+\cross{LODO}{reductum} &
+\cross{LODO}{retract} &
+\cross{LODO}{retractIfCan} \\
+\cross{LODO}{rightDivide} &
+\cross{LODO}{rightExactQuotient} &
+\cross{LODO}{rightExtendedGcd} \\
+\cross{LODO}{rightGcd} &
+\cross{LODO}{rightLcm} &
+\cross{LODO}{rightQuotient} \\
+\cross{LODO}{rightRemainder} &
+\cross{LODO}{sample} &
+\cross{LODO}{subtractIfCan} \\
+\cross{LODO}{symmetricPower} &
+\cross{LODO}{symmetricProduct} &
+\cross{LODO}{symmetricSquare} \\
+\cross{LODO}{zero?} &
+\cross{LODO}{?*?} &
+\cross{LODO}{?**?} \\
+\cross{LODO}{?+?} &
+\cross{LODO}{?-?} &
+\cross{LODO}{-?} \\
+\cross{LODO}{?=?} &
+\cross{LODO}{?\^{}?} &
+\cross{LODO}{?.?} \\
+\cross{LODO}{?\~{}=?} &&
+\end{tabular}
+
 <<domain LODO LinearOrdinaryDifferentialOperator>>=
 )abbrev domain LODO LinearOrdinaryDifferentialOperator
 ++ Author: Manuel Bronstein
@@ -50826,6 +51311,66 @@ o )show LinearOrdinaryDifferentialOperator1
 {\bf See}\\
 \pageto{LinearOrdinaryDifferentialOperator}{LODO}
 \pageto{LinearOrdinaryDifferentialOperator2}{LODO2}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{LODO1}{0} &
+\cross{LODO1}{1} &
+\cross{LODO1}{adjoint} &
+\cross{LODO1}{apply} \\
+\cross{LODO1}{characteristic} &
+\cross{LODO1}{coefficient} &
+\cross{LODO1}{coefficients} &
+\cross{LODO1}{coerce} \\
+\cross{LODO1}{content} &
+\cross{LODO1}{D} &
+\cross{LODO1}{degree} &
+\cross{LODO1}{directSum} \\
+\cross{LODO1}{exquo} &
+\cross{LODO1}{hash} &
+\cross{LODO1}{latex} &
+\cross{LODO1}{leadingCoefficient} \\
+\cross{LODO1}{leftDivide} &
+\cross{LODO1}{leftExactQuotient} &
+\cross{LODO1}{leftExtendedGcd} &
+\cross{LODO1}{leftGcd} \\
+\cross{LODO1}{leftLcm} &
+\cross{LODO1}{leftQuotient} &
+\cross{LODO1}{leftRemainder} &
+\cross{LODO1}{minimumDegree} \\
+\cross{LODO1}{monicLeftDivide} &
+\cross{LODO1}{monicRightDivide} &
+\cross{LODO1}{monomial} &
+\cross{LODO1}{one?} \\
+\cross{LODO1}{primitivePart} &
+\cross{LODO1}{recip} &
+\cross{LODO1}{reductum} &
+\cross{LODO1}{retract} \\
+\cross{LODO1}{retractIfCan} &
+\cross{LODO1}{rightDivide} &
+\cross{LODO1}{rightExactQuotient} &
+\cross{LODO1}{rightExtendedGcd} \\
+\cross{LODO1}{rightGcd} &
+\cross{LODO1}{rightLcm} &
+\cross{LODO1}{rightQuotient} &
+\cross{LODO1}{rightRemainder} \\
+\cross{LODO1}{sample} &
+\cross{LODO1}{subtractIfCan} &
+\cross{LODO1}{symmetricPower} &
+\cross{LODO1}{symmetricProduct} \\
+\cross{LODO1}{symmetricSquare} &
+\cross{LODO1}{zero?} &
+\cross{LODO1}{?*?} &
+\cross{LODO1}{?**?} \\
+\cross{LODO1}{?+?} &
+\cross{LODO1}{?-?} &
+\cross{LODO1}{-?} &
+\cross{LODO1}{?=?} \\
+\cross{LODO1}{?\^{}?} &
+\cross{LODO1}{?.?} &
+\cross{LODO1}{?\~{}=?} &
+\end{tabular}
+
 <<domain LODO1 LinearOrdinaryDifferentialOperator1>>=
 )abbrev domain LODO1 LinearOrdinaryDifferentialOperator1
 ++ Author: Manuel Bronstein
@@ -51374,6 +51919,66 @@ o )show LinearOrdinaryDifferentialOperator2
 {\bf See}\\
 \pageto{LinearOrdinaryDifferentialOperator}{LODO}
 \pageto{LinearOrdinaryDifferentialOperator1}{LODO1}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{LODO2}{0} &
+\cross{LODO2}{1} &
+\cross{LODO2}{adjoint} &
+\cross{LODO2}{apply} \\
+\cross{LODO2}{characteristic} &
+\cross{LODO2}{coefficient} &
+\cross{LODO2}{coefficients} &
+\cross{LODO2}{coerce} \\
+\cross{LODO2}{content} &
+\cross{LODO2}{D} &
+\cross{LODO2}{degree} &
+\cross{LODO2}{directSum} \\
+\cross{LODO2}{exquo} &
+\cross{LODO2}{hash} &
+\cross{LODO2}{latex} &
+\cross{LODO2}{leadingCoefficient} \\
+\cross{LODO2}{leftDivide} &
+\cross{LODO2}{leftExactQuotient} &
+\cross{LODO2}{leftExtendedGcd} &
+\cross{LODO2}{leftGcd} \\
+\cross{LODO2}{leftLcm} &
+\cross{LODO2}{leftQuotient} &
+\cross{LODO2}{leftRemainder} &
+\cross{LODO2}{minimumDegree} \\
+\cross{LODO2}{monicLeftDivide} &
+\cross{LODO2}{monicRightDivide} &
+\cross{LODO2}{monomial} &
+\cross{LODO2}{one?} \\
+\cross{LODO2}{primitivePart} &
+\cross{LODO2}{recip} &
+\cross{LODO2}{reductum} &
+\cross{LODO2}{retract} \\
+\cross{LODO2}{retractIfCan} &
+\cross{LODO2}{rightDivide} &
+\cross{LODO2}{rightExactQuotient} &
+\cross{LODO2}{rightExtendedGcd} \\
+\cross{LODO2}{rightGcd} &
+\cross{LODO2}{rightLcm} &
+\cross{LODO2}{rightQuotient} &
+\cross{LODO2}{rightRemainder} \\
+\cross{LODO2}{sample} &
+\cross{LODO2}{subtractIfCan} &
+\cross{LODO2}{symmetricPower} &
+\cross{LODO2}{symmetricProduct} \\
+\cross{LODO2}{symmetricSquare} &
+\cross{LODO2}{zero?} &
+\cross{LODO2}{?*?} &
+\cross{LODO2}{?**?} \\
+\cross{LODO2}{?+?} &
+\cross{LODO2}{?-?} &
+\cross{LODO2}{-?} &
+\cross{LODO2}{?=?} \\
+\cross{LODO2}{?\^{}?} &
+\cross{LODO2}{?.?} &
+\cross{LODO2}{?\~{}=?} &
+\end{tabular}
+
 <<domain LODO2 LinearOrdinaryDifferentialOperator2>>=
 )abbrev domain LODO2 LinearOrdinaryDifferentialOperator2
 ++ Author: Stephen M. Watt, Manuel Bronstein
@@ -51970,6 +52575,120 @@ o )show List
 {\bf See}\\
 \pageto{IndexedList}{ILIST}
 \pageto{AssociationList}{ALIST}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{LIST}{any?} &
+\cross{LIST}{append} &
+\cross{LIST}{child?} &
+\cross{LIST}{children} &
+\cross{LIST}{coerce} \\
+\cross{LIST}{concat} &
+\cross{LIST}{concat!} &
+\cross{LIST}{cons} &
+\cross{LIST}{construct} &
+\cross{LIST}{convert} \\
+\cross{LIST}{copy} &
+\cross{LIST}{copyInto!} &
+\cross{LIST}{count} &
+\cross{LIST}{cycleEntry} &
+\cross{LIST}{cycleLength} \\
+\cross{LIST}{cycleSplit!} &
+\cross{LIST}{cycleTail} &
+\cross{LIST}{cyclic?} &
+\cross{LIST}{delete} &
+\cross{LIST}{delete!} \\
+\cross{LIST}{distance} &
+\cross{LIST}{elt} &
+\cross{LIST}{empty} &
+\cross{LIST}{empty?} &
+\cross{LIST}{entries} \\
+\cross{LIST}{entry?} &
+\cross{LIST}{eq?} &
+\cross{LIST}{eval} &
+\cross{LIST}{every?} &
+\cross{LIST}{explicitlyFinite?} \\
+\cross{LIST}{fill!} &
+\cross{LIST}{find} &
+\cross{LIST}{first} &
+\cross{LIST}{hash} &
+\cross{LIST}{index?} \\
+\cross{LIST}{indices} &
+\cross{LIST}{insert} &
+\cross{LIST}{insert!} &
+\cross{LIST}{last} &
+\cross{LIST}{latex} \\
+\cross{LIST}{leaf?} &
+\cross{LIST}{leaves} &
+\cross{LIST}{less?} &
+\cross{LIST}{list} &
+\cross{LIST}{map} \\
+\cross{LIST}{map!} &
+\cross{LIST}{max} &
+\cross{LIST}{maxIndex} &
+\cross{LIST}{member?} &
+\cross{LIST}{members} \\
+\cross{LIST}{merge} &
+\cross{LIST}{merge!} &
+\cross{LIST}{min} &
+\cross{LIST}{minIndex} &
+\cross{LIST}{more?} \\
+\cross{LIST}{node?} &
+\cross{LIST}{new} &
+\cross{LIST}{nil} &
+\cross{LIST}{nodes} &
+\cross{LIST}{null} \\
+\cross{LIST}{OMwrite} &
+\cross{LIST}{parts} &
+\cross{LIST}{position} &
+\cross{LIST}{possiblyInfinite?} &
+\cross{LIST}{qelt} \\
+\cross{LIST}{qsetelt!} &
+\cross{LIST}{reduce} &
+\cross{LIST}{remove} &
+\cross{LIST}{remove!} &
+\cross{LIST}{removeDuplicates} \\
+\cross{LIST}{removeDuplicates!} &
+\cross{LIST}{rest} &
+\cross{LIST}{reverse} &
+\cross{LIST}{reverse!} &
+\cross{LIST}{sample} \\
+\cross{LIST}{second} &
+\cross{LIST}{select} &
+\cross{LIST}{select!} &
+\cross{LIST}{setDifference} &
+\cross{LIST}{setIntersection} \\
+\cross{LIST}{setUnion} &
+\cross{LIST}{setchildren!} &
+\cross{LIST}{setelt} &
+\cross{LIST}{setfirst!} &
+\cross{LIST}{setlast!} \\
+\cross{LIST}{setrest!} &
+\cross{LIST}{setvalue!} &
+\cross{LIST}{size?} &
+\cross{LIST}{sort} &
+\cross{LIST}{sort!} \\
+\cross{LIST}{sorted?} &
+\cross{LIST}{split!} &
+\cross{LIST}{swap!} &
+\cross{LIST}{tail} &
+\cross{LIST}{third} \\
+\cross{LIST}{value} &
+\cross{LIST}{\#{}?} &
+\cross{LIST}{?$<$?} &
+\cross{LIST}{?$<=$?} &
+\cross{LIST}{?=?} \\
+\cross{LIST}{?$>$?} &
+\cross{LIST}{?$>=$?} &
+\cross{LIST}{?.?} &
+\cross{LIST}{?\~{}=?} &
+\cross{LIST}{?.?} \\
+\cross{LIST}{?.last} &
+\cross{LIST}{?.rest} &
+\cross{LIST}{?.first} &
+\cross{LIST}{?.value} &
+\end{tabular}
+
 <<domain LIST List>>=
 )abbrev domain LIST List
 ++ Author: Michael Monagan
@@ -52122,6 +52841,34 @@ List(S:Type): Exports == Implementation where
 \pageto{InnerFreeAbelianMonoid}{IFAMON}
 \pageto{FreeAbelianMonoid}{FAMONOID}
 \pageto{FreeAbelianGroup}{FAGROUP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{LMOPS}{coerce} &
+\cross{LMOPS}{commutativeEquality} &
+\cross{LMOPS}{hash} &
+\cross{LMOPS}{latex} &
+\cross{LMOPS}{leftMult} \\
+\cross{LMOPS}{listOfMonoms} &
+\cross{LMOPS}{makeTerm} &
+\cross{LMOPS}{makeUnit} &
+\cross{LMOPS}{mapExpon} &
+\cross{LMOPS}{mapGen} \\
+\cross{LMOPS}{makeMulti} &
+\cross{LMOPS}{nthExpon} &
+\cross{LMOPS}{nthFactor} &
+\cross{LMOPS}{outputForm} &
+\cross{LMOPS}{plus} \\
+\cross{LMOPS}{retract} &
+\cross{LMOPS}{retractIfCan} &
+\cross{LMOPS}{reverse} &
+\cross{LMOPS}{reverse!} &
+\cross{LMOPS}{rightMult} \\
+\cross{LMOPS}{size} &
+\cross{LMOPS}{?=?} &
+\cross{LMOPS}{?\~{}=?} &&
+\end{tabular}
+
 <<domain LMOPS ListMonoidOps>>=
 )abbrev domain LMOPS ListMonoidOps
 ++ Internal representation for monoids
@@ -52288,6 +53035,53 @@ ListMonoidOps(S, E, un): Exports == Implementation where
 \section{domain LMDICT ListMultiDictionary}
 \pagehead{ListMultiDictionary}{LMDICT}
 \pagepic{ps/v103listmultidictionary.ps}{LMDICT}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{LMDICT}{any?} &
+\cross{LMDICT}{bag} &
+\cross{LMDICT}{coerce} &
+\cross{LMDICT}{construct} &
+\cross{LMDICT}{convert} \\
+\cross{LMDICT}{copy} &
+\cross{LMDICT}{count} &
+\cross{LMDICT}{dictionary} &
+\cross{LMDICT}{dictionary} &
+\cross{LMDICT}{duplicates} \\
+\cross{LMDICT}{duplicates?} &
+\cross{LMDICT}{empty} &
+\cross{LMDICT}{empty?} &
+\cross{LMDICT}{eq?} &
+\cross{LMDICT}{eval} \\
+\cross{LMDICT}{extract!} &
+\cross{LMDICT}{every?} &
+\cross{LMDICT}{find} &
+\cross{LMDICT}{hash} &
+\cross{LMDICT}{insert!} \\
+\cross{LMDICT}{inspect} &
+\cross{LMDICT}{latex} &
+\cross{LMDICT}{less?} &
+\cross{LMDICT}{map} &
+\cross{LMDICT}{map!} \\
+\cross{LMDICT}{member?} &
+\cross{LMDICT}{members} &
+\cross{LMDICT}{more?} &
+\cross{LMDICT}{parts} &
+\cross{LMDICT}{reduce} \\
+\cross{LMDICT}{remove} &
+\cross{LMDICT}{remove!} &
+\cross{LMDICT}{removeDuplicates} &
+\cross{LMDICT}{removeDuplicates!} &
+\cross{LMDICT}{sample} \\
+\cross{LMDICT}{select} &
+\cross{LMDICT}{select!} &
+\cross{LMDICT}{size?} &
+\cross{LMDICT}{substitute} &
+\cross{LMDICT}{\#{}?} \\
+\cross{LMDICT}{?\~{}=?} &
+\cross{LMDICT}{?=?} &&&
+\end{tabular}
+
 <<domain LMDICT ListMultiDictionary>>=
 )abbrev domain LMDICT ListMultiDictionary
 ++ Author: MBM Nov/87, MB Oct/89
@@ -52446,6 +53240,43 @@ ListMultiDictionary(S:SetCategory): MultiDictionary(S) with
 {\bf See}\\
 \pageto{Localize}{LO}
 \pageto{Fraction}{FRAC}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{LA}{0} &
+\cross{LA}{1} &
+\cross{LA}{abs} &
+\cross{LA}{characteristic} &
+\cross{LA}{coerce} \\
+\cross{LA}{denom} &
+\cross{LA}{hash} &
+\cross{LA}{latex} &
+\cross{LA}{max} &
+\cross{LA}{min} \\
+\cross{LA}{negative?} &
+\cross{LA}{numer} &
+\cross{LA}{one?} &
+\cross{LA}{positive?} &
+\cross{LA}{recip} \\
+\cross{LA}{sample} &
+\cross{LA}{sign} &
+\cross{LA}{subtractIfCan} &
+\cross{LA}{zero?} &
+\cross{LA}{?\~{}=?} \\
+\cross{LA}{?*?} &
+\cross{LA}{?**?} &
+\cross{LA}{?$<$?} &
+\cross{LA}{?$<=$?} &
+\cross{LA}{?$>$?} \\
+\cross{LA}{?$>=$?} &
+\cross{LA}{?\^{}?} &
+\cross{LA}{?+?} &
+\cross{LA}{?-?} &
+\cross{LA}{-?} \\
+\cross{LA}{?/?} &
+\cross{LA}{?=?} &&&
+\end{tabular}
+
 <<domain LA LocalAlgebra>>=
 )abbrev domain LA LocalAlgebra
 ++ Author: Dave Barton, Barry Trager
@@ -52490,6 +53321,33 @@ LocalAlgebra(A: Algebra R,
 {\bf See}\\
 \pageto{LocalAlgebra}{LA}
 \pageto{Fraction}{FRAC}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{LO}{0} &
+\cross{LO}{coerce} &
+\cross{LO}{denom} &
+\cross{LO}{hash} &
+\cross{LO}{latex} \\
+\cross{LO}{max} &
+\cross{LO}{min} &
+\cross{LO}{numer} &
+\cross{LO}{sample} &
+\cross{LO}{subtractIfCan} \\
+\cross{LO}{zero?} &
+\cross{LO}{?\~{}=?} &
+\cross{LO}{?*?} &
+\cross{LO}{?$<$?} &
+\cross{LO}{?$<=$?} \\
+\cross{LO}{?$>$?} &
+\cross{LO}{?$>=$?} &
+\cross{LO}{?+?} &
+\cross{LO}{?-?} &
+\cross{LO}{-?} \\
+\cross{LO}{?/?} &
+\cross{LO}{?=?} &&&
+\end{tabular}
+
 <<domain LO Localize>>=
 )abbrev domain LO Localize
 ++ Author: Dave Barton, Barry Trager
@@ -52905,6 +53763,36 @@ o )show LyndonWord
 @
 \pagehead{LyndonWord}{LWORD}
 \pagepic{ps/v103lyndonword.ps}{LWORD}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{LWORD}{coerce} &
+\cross{LWORD}{factor} &
+\cross{LWORD}{hash} &
+\cross{LWORD}{latex} &
+\cross{LWORD}{left} \\
+\cross{LWORD}{length} &
+\cross{LWORD}{lexico} &
+\cross{LWORD}{lyndon} &
+\cross{LWORD}{lyndon?} &
+\cross{LWORD}{lyndonIfCan} \\
+\cross{LWORD}{LyndonWordsList} &
+\cross{LWORD}{LyndonWordsList1} &
+\cross{LWORD}{max} &
+\cross{LWORD}{min} &
+\cross{LWORD}{retract} \\
+\cross{LWORD}{retractIfCan} &
+\cross{LWORD}{retractable?} &
+\cross{LWORD}{right} &
+\cross{LWORD}{varList} &
+\cross{LWORD}{?$<$?} \\
+\cross{LWORD}{?$<=$?} &
+\cross{LWORD}{?=?} &
+\cross{LWORD}{?$>$?} &
+\cross{LWORD}{?$>=$?} &
+\cross{LWORD}{?\~{}=?} 
+\end{tabular}
+
 <<domain LWORD LyndonWord>>=
 )abbrev domain LWORD LyndonWord
 ++ Author: Michel Petitot (petitot@lifl.fr).
diff --git a/changelog b/changelog
index cee02a2..fefc30f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090116 tpd src/axiom-website/patches.html 20090116.02.tpd.patch
+20090116 tpd books/bookvol10.3 add exports
 20090116 tpd src/axiom-website/patches.html 20090116.01.tpd.patch
 20090116 tpd books/bookvol10.3 add exports
 20090115 tpd src/axiom-website/patches.html 20090115.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 7a50cf1..5290bbe 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -883,6 +883,8 @@ bookvol10.3 add exports<br/>
 bookvol10.3 add exports<br/>
 <a href="patches/20090116.01.tpd.patch">20090116.01.tpd.patch</a>
 bookvol10.3 add exports<br/>
+<a href="patches/20090116.02.tpd.patch">20090116.02.tpd.patch</a>
+bookvol10.3 add exports<br/>
 
  </body>
 </html>
